@import url('@import url(//fonts.googleapis.com/css?family=Open+Sans);');

* {
    margin: 0;
    padding: 0;
}

#head {
    text-align: center;
}

body {
    background: linear-gradient(to right, #00158f, #6d0101 );
    font-family: 'Open Sans', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 40vh;
}

.grid {
    display: grid;
    width: 93em;
    grid-gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    align-items: start;

}

.grid-item {
    background-color: rgb(236, 106, 106);
    border-radius: 0.4rem;
    overflow: hidden;
    box-shadow: 0 3rem 6rem rgba(102, 102, 102, 0.1);
    cursor: pointer;
    transition: 0.2s;

}

.grid-item:hover {
    transform: translateY(-0.5%);
    box-shadow: 0 4rem 8rem rgba(0, 0, 0, 0.5);
}

.card-img {
    display: block;
    width: 100%;
    height: 20rem;
    object-fit: cover;
}

.card-content {
    padding: 3rem;
    text-align: center;
}

.card-header {
    font-size: 3rem;
    font-weight: 500;
    color: rgb(0, 45, 71);
    margin-bottom: 1.5rem;
}

.card-text {
    font-size: 1.6rem;
    letter-spacing: 0.1rem;
    line-height: 1.7;
    color: #125c00;
    margin-bottom: 2.5rem;
}

.btn-index{
    display: block;
    width: 100%;
    padding: 1rem;
    font-size: 1.5rem;
    text-align: center;
    color: rgb(198, 201, 35);
    background-color: rgb(1, 16, 102);
    border: none;
    border-radius: 0.4rem;
    transition: 0.2s;
    cursor: pointer;
    letter-spacing: 0.1rem;
}

.product-price {
    padding: 3px;
    text-align: center;
    font-size: 30px;
}

.label-name {
    padding: 5px;
    text-align: center;
    font-size: 20px;
}

.label-name input {
    width: 300px;
    height: 40px;
    text-align: center;
    font-size: 15px;
}

/*****cart*********/


#shopping-cart {
    margin: 1.5em 0;
}

.shopping-cart {
	border: 1px solid #ddd;
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
	table-layout: fixed;
}

.shopping-cart th {
	font-size: 1.3em;
	padding: 0.3em;
	width: 33.3%;
	border: 1px solid #ddd;
	text-transform: uppercase;
}

.shopping-cart td {
	padding: 0.3em;
	width: 33.3%;
	border: 1px solid #ddd;
}

.shopping-cart tr:nth-child(even) {
	background: #fafafa;
}

.shopping-cart td.pdelete {
	text-align: center;
}

.btn, a.btn {
	display: inline-block;
    background-color: cadetblue;
	color: #fff;
	font: 1em 'PT Serif', serif;
	padding: 0.3em 1em;
	text-align: center;
	border-radius: 4px;
	border: 1px solid cadetblue;
}

.pdelete a,
.pdelete a:hover {
	color: #c00;
	text-decoration: none;
	font-size: 2.5em;
	display: block;
	text-align: center;
}

#shopping-cart-actions {
	margin: 1.5em 0;
	padding: 0;
	list-style: none;
	text-align: center;
}

#shopping-cart-actions li {
	display: inline-block;
	margin-right: 1em;
}

#pricing {
	padding: 0.5em;
	margin: 1em 0;
	background: #fafafa;
}

#sub-total, #shipping {
	margin: 1.5em 0;
	text-align: right;
}

#sub-total span,
#shipping span {
	margin-left: 1em;
}

/****checkout*****/

#content > h1,
#checkout-order-form h2 {
	font-size: 2em;
	text-align: center;
}

#pricing {
    background: #E8E8E8;
}

#sshipping #stotal{
    opacity: 100%;
}

#pricing #sub-total,
#pricing #shipping {
	margin: 1em 0;
}

#checkout-order-form {
	margin: 1.5em 0;
}

#checkout-order-form fieldset {
	border: 1px solid #ddd;
	border-radius: 6px;
	padding: 1em;
	margin-bottom: 1.3em;
}

#checkout-order-form legend {
	padding: 0.3em;
    font-size: 50px;
	font-weight: bold;
}

#checkout-order-form div {
	margin-bottom: 1em;
}

#checkout-order-form label {
	display: block;
	font-weight: bold;
	margin-bottom: 0.3em;
	text-align: left;
}

#checkout-order-form input[type="text"] {
	width: 200px;
	display: block;
	background: #fff;
	border: 1px solid #ddd;
	border-radius: 4px;
	padding: 0.3em;
}

#checkout-order-form select {
	width: 210px;
    height: 30px;
    font-size: 15px;
	display: block;
}

.btn-checkout{
    width: 100px;
    margin-left: 15px;
    padding: 0.5rem;
    background: cadetblue;
    border-radius: 0.5rem;
}

fieldset {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}

fieldset input {
    padding: 1px;
    margin: 10px;
}

.message {
	display: block;
	margin: 0.5em 0;
	color: red;
}

#user-details {
	margin: 1.5em 0;
}

#user-details > h2 {
	text-align: center;
	font-size: 2em;
}

#user-details-content {
	margin: 1.5em 0;
	padding: 1em;
	border: 1px solid #ddd;
	border-radius: 6px;
	overflow: hidden;
}

#user-details-content .detail {
	float: left;
	width: 46%;
}

#user-details-content .detail.right {
	float: right;
}

#user-details-content .detail > h2 {
	text-align: center;
	font-size: 1.6em;
	margin-bottom: 0.5em;
}

#user-details-content ul {
	margin: 0 0 1em 0;
	padding: 0;
	list-style: none;
}

#user-details-content li {
	display: block;
	margin-bottom: 0.5em;
	padding-bottom: 0.3em;
	border-bottom: 1px solid #ddd;
}

#paypal-form {
	margin: 1.5em 0;
}
